| Package | Description |
|---|---|
| org.apache.camel.builder.endpoint | |
| org.apache.camel.builder.endpoint.dsl |
| Modifier and Type | Method and Description |
|---|---|
static VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
StaticEndpointBuilders.vertxHttp(String path)
Vert.x HTTP Client (camel-vertx-http)
Send requests to external HTTP servers using Vert.x
Category: http
Since: 3.5
Maven coordinates: org.apache.camel:camel-vertx-http
Syntax:
vertx-http:httpUri
Path parameter: httpUri (required)
The HTTP URI to connect to |
static VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
StaticEndpointBuilders.vertxHttp(String componentName,
String path)
Vert.x HTTP Client (camel-vertx-http)
Send requests to external HTTP servers using Vert.x
Category: http
Since: 3.5
Maven coordinates: org.apache.camel:camel-vertx-http
Syntax:
vertx-http:httpUri
Path parameter: httpUri (required)
The HTTP URI to connect to |
| Modifier and Type | Method and Description |
|---|---|
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
VertxHttpEndpointBuilderFactory.AdvancedVertxHttpEndpointBuilder.basic() |
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.basicAuthPassword(String basicAuthPassword)
The password to use for basic authentication.
|
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.basicAuthUsername(String basicAuthUsername)
The user name to use for basic authentication.
|
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.bearerToken(String bearerToken)
The bearer token to use for bearer token authentication.
|
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.connectTimeout(int connectTimeout)
The amount of time in milliseconds until a connection is established.
|
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.connectTimeout(String connectTimeout)
The amount of time in milliseconds until a connection is established.
|
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.cookieStore(Object cookieStore)
A custom CookieStore to use when session management is enabled.
|
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.cookieStore(String cookieStore)
A custom CookieStore to use when session management is enabled.
|
static VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
VertxHttpEndpointBuilderFactory.endpointBuilder(String componentName,
String path) |
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.headerFilterStrategy(org.apache.camel.spi.HeaderFilterStrategy headerFilterStrategy)
A custom org.apache.camel.spi.HeaderFilterStrategy to filter header
to and from Camel message.
|
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.headerFilterStrategy(String headerFilterStrategy)
A custom org.apache.camel.spi.HeaderFilterStrategy to filter header
to and from Camel message.
|
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.httpMethod(String httpMethod)
The HTTP method to use.
|
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.httpMethod(VertxHttpEndpointBuilderFactory.HttpMethod httpMethod)
The HTTP method to use.
|
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.lazyStartProducer(boolean lazyStartProducer)
Whether the producer should be started lazy (on the first message).
|
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.lazyStartProducer(String lazyStartProducer)
Whether the producer should be started lazy (on the first message).
|
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.okStatusCodeRange(String okStatusCodeRange)
The status codes which are considered a success response.
|
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.proxyHost(String proxyHost)
The proxy server host address.
|
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.proxyPassword(String proxyPassword)
The proxy server password if authentication is required.
|
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.proxyPort(Integer proxyPort)
The proxy server port.
|
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.proxyPort(String proxyPort)
The proxy server port.
|
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.proxyType(String proxyType)
The proxy server type.
|
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.proxyType(VertxHttpEndpointBuilderFactory.ProxyType proxyType)
The proxy server type.
|
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.proxyUsername(String proxyUsername)
The proxy server username if authentication is required.
|
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.sessionManagement(boolean sessionManagement)
Enables session management via WebClientSession.
|
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.sessionManagement(String sessionManagement)
Enables session management via WebClientSession.
|
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.sslContextParameters(Object sslContextParameters)
To configure security using SSLContextParameters.
|
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.sslContextParameters(String sslContextParameters)
To configure security using SSLContextParameters.
|
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.throwExceptionOnFailure(boolean throwExceptionOnFailure)
Disable throwing HttpOperationFailedException in case of failed
responses from the remote server.
|
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.throwExceptionOnFailure(String throwExceptionOnFailure)
Disable throwing HttpOperationFailedException in case of failed
responses from the remote server.
|
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.timeout(long timeout)
The amount of time in milliseconds after which if the request does
not return any data within the timeout period a TimeoutException
fails the request.
|
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.timeout(String timeout)
The amount of time in milliseconds after which if the request does
not return any data within the timeout period a TimeoutException
fails the request.
|
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.transferException(boolean transferException)
If enabled and an Exchange failed processing on the consumer side,
and if the caused Exception was sent back serialized in the response
as a application/x-java-serialized-object content type.
|
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.transferException(String transferException)
If enabled and an Exchange failed processing on the consumer side,
and if the caused Exception was sent back serialized in the response
as a application/x-java-serialized-object content type.
|
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.useCompression(boolean useCompression)
Set whether compression is enabled to handled compressed (E.g
gzipped) responses.
|
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.useCompression(String useCompression)
Set whether compression is enabled to handled compressed (E.g
gzipped) responses.
|
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
VertxHttpEndpointBuilderFactory.VertxHttpBuilders.vertxHttp(String path)
Vert.x HTTP Client (camel-vertx-http)
Send requests to external HTTP servers using Vert.x
Category: http
Since: 3.5
Maven coordinates: org.apache.camel:camel-vertx-http
Syntax:
vertx-http:httpUri
Path parameter: httpUri (required)
The HTTP URI to connect to |
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
VertxHttpEndpointBuilderFactory.VertxHttpBuilders.vertxHttp(String componentName,
String path)
Vert.x HTTP Client (camel-vertx-http)
Send requests to external HTTP servers using Vert.x
Category: http
Since: 3.5
Maven coordinates: org.apache.camel:camel-vertx-http
Syntax:
vertx-http:httpUri
Path parameter: httpUri (required)
The HTTP URI to connect to |
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.vertxHttpBinding(Object vertxHttpBinding)
A custom VertxHttpBinding which can control how to bind between
Vert.x and Camel.
|
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.vertxHttpBinding(String vertxHttpBinding)
A custom VertxHttpBinding which can control how to bind between
Vert.x and Camel.
|
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.webClientOptions(Object webClientOptions)
Sets customized options for configuring the Vert.x WebClient.
|
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.webClientOptions(String webClientOptions)
Sets customized options for configuring the Vert.x WebClient.
|
Apache Camel